restored_client_free
restored_client_new
restored_client_set_label
restored_client_t
restored_error_t
restored_get_value
restored_goodbye
restored_query_type
restored_query_value
restored_reboot
restored_receive
restored_send
restored_start_restore

## restored_start_restore()

LIBIMOBILEDEVICE_API restored_error_t restored_start_restore | ( | restored_client_t | client,
|  | plist_t | options,
|  | uint64_t | version )

Requests to start a restore and retrieve it's port on success.

Parameters

  client | The restored client
  options | PLIST_DICT with options for the restore process or NULL
  version | the restore protocol version, see restored_query_type()

Returns
  RESTORE_E_SUCCESS on success, RESTORE_E_INVALID_ARG if a parameter is NULL, RESTORE_E_START_RESTORE_FAILED if the request fails